Bug 1249045 - [GSS] Add a use-case for the CRUSH OSD tunable "osd crush update on start" in RHCS1.2.3 Storage Strategies documentation
[GSS] Add a use-case for the CRUSH OSD tunable "osd crush update on start" in...
Status: CLOSED NOTABUG
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.0
All Linux
medium Severity medium
: rc
: 1.3.2
Assigned To: John Wilkins
ceph-qe-bugs
: Documentation, ZStream
Depends On: 1299978
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 08:26 EDT by Vimal Kumar
Modified: 2016-02-23 06:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 06:26:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vimal Kumar 2015-07-31 08:26:50 EDT
a) Description of problem:

Add a use-case for the CRUSH OSD tunable "osd crush update on start" under the section "1.1. ceph-crush-location hook" in RHCS1.2.3 Storage Strategies documentation.

If a user sets a custom hostname for an OSD node in CRUSH map, and the OSD process or the node is restarted, the CRUSH maps get reverted back to the initial state. This makes the custom settings vanish.

In order to overcome this, set "osd crush update on start = false" in /etc/ceph/ceph.conf and push the configuration to the OSD/MON nodes with :

# ceph-deploy --overwrite-conf config push <node1> <node2> ... <nodeN>

b) Version-Release number of selected component (if applicable):

RHCS1.2.3 Storage Strategies documentation.

NOTE: Editing a crush map and setting custom hostnames for rulesets and buckets are something customers do usually. The Crush map will revert back to the default as per the OSD hierarchy, if this tunable is not set. We need to get this added as a use-case.
Comment 4 Rachana Patel 2016-01-20 09:51:19 EST
3. bug summary says, add option in Storage strategy Document. As per comment#2 it is also being added in Installation Quick guide

Note You need to log in before you can comment on or make changes to this bug.